
<!--
  @description: 文件领购记录内容
  @Modifier: 王秀阳
  @routerPath:/procurement/procurementDrive/supplierResponse/docRecord
  @date: 2020-6-4 11:24:31
-->
<template>
  <div />
</template>

<script>
import { distinguishBetween } from '@/api/procurement/procurementProject'
export default {
  inject: ['getTenderBase'],
  data() {
    return {
      tenderBase: this.getTenderBase() // 获取项目信息
    }
  },
  created() {
    this.getType()
  },
  methods: {
    // 获取收费类型
    getType() {
      distinguishBetween(this.tenderBase.packId).then(res => {
        if (res.data.isReceiveTenderDocumentPrice === '01') {
          this.$router.push({
            path: '/procurement/procurementDrive/supplierResponse/docRecordList'
          })
        } else {
          this.$router.push({
            path: '/procurement/procurementDrive/supplierResponse/docRecordNoFreeList'
          })
        }
      }).catch(() => {})
    }
  }
}
</script>

<style>

</style>
